# CombinedStatus

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**commit_url** | Option<**String**> |  | [optional]
**repository** | Option<[**crate::models::Repository**](Repository.md)> |  | [optional]
**sha** | Option<**String**> |  | [optional]
**state** | Option<**String**> | CommitStatusState holds the state of a CommitStatus It can be \"pending\", \"success\", \"error\", \"failure\", and \"warning\" | [optional]
**statuses** | Option<[**Vec<crate::models::CommitStatus>**](CommitStatus.md)> |  | [optional]
**total_count** | Option<**i64**> |  | [optional]
**url** | Option<**String**> |  | [optional]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


